#
# spec file for package python-django-dajaxice
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-dajaxice
Version:        0.7
Release:        5.1
Url:            http://dajaxproject.com
Summary:        Agnostic and easy to use ajax library for django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/d/django-dajaxice/django-dajaxice-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-django
Requires:       python-django
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Easy to use AJAX library for django, all the presentation logic
resides outside the views and doesn't require any JS Framework.
Dajaxice uses the unobtrusive standard-compliant (W3C) XMLHttpRequest
1.0 object.

%prep
%setup -q -n django-dajaxice-%{version}

%build
python setup.py build
cd docs && make html && rm -r _build/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING examples docs/_build/html
%{python_sitelib}/*

%changelog
* Sun May  3 2015 benoit.monin@gmx.fr
- update to version 0.7:
  * Make django-dajaxice work with django 1.7
- additional changes from version 0.6:
  * Make django-dajaxice work with django 1.6
- point source URL to pypi
* Fri Jan 25 2013 alexandre@exatati.com.br
- Update to 0.5.5:
  * Return XMLHttpRequest from concreate functions as well as from
    function call.
  * Fixed django 1.5 compatibility: Content-Type have to be
    application/x-www-form-urlencoded otherwise Django discards
    POST data.
  * Fix JS generation errors
  * Fix @dajaxice_register legacy decorator
* Thu Dec 20 2012 alexandre@exatati.com.br
- Update to 0.5.4.1:
  * Fix JS generation errors.
* Wed Dec  5 2012 alexandre@exatati.com.br
- Update to 0.5.4:
  * Fix JS generation errors.
* Tue Nov 27 2012 alexandre@exatati.com.br
- Update to 0.5.3:
  * Fix some Windows bugs.
  * Fix some JS generation errros.
  * Make dajaxice use CSRF_COOKIE_NAME.
* Mon Sep  3 2012 alexandre@exatati.com.br
- Update to 0.5.2:
  * Fix GET dajaxice requests in order to send args as part of the
    url.
* Mon Aug 20 2012 alexandre@exatati.com.br
- Update to 0.5.1:
  * Make django-dajaxice work with django 1.3
  * Fix installation steps
  * Update json2.js
* Thu Aug 16 2012 alexandre@exatati.com.br
- Update tp 0.5:
  * General Project clean-up
  * Django>=1.3 is now a requirement
  * Fixed numerous CSRF issues
  * Dajaxice now use django.contrib.staticfiles
  * Fix SERVER_ROOT_URL issues
  * Fixed js_core issues accepting multiple arguments
  * New upgraded documentation
  * Marketing site (http://dajaxproject.com) is now open-source
  * Fix JS generation issues
  * Travis-ci integration
* Mon Feb 27 2012 cfarrell@suse.com
- license update: BSD-3-Clause and LGPL-2.1+ and SUSE-Public-Domain
  See the COPYING file
* Mon Feb 27 2012 saschpe@suse.de
- Buildrequire python-Sphinx to actually build HTML documentation
* Fri Feb 24 2012 saschpe@suse.de
- Use original tarball
- Remove outdated sections
- Simplified macro usage
* Wed Jul 13 2011 alexandre@exatati.com.br
- Update to 0.2:
  - Fix bug with the 'is_callback_a_function' variable in dajaxice.core.js
  - Fix bug with csrftoken in landing pages using dajaxice.
  - Improve reliability handling server errors.
  - Exception handling was fully rewritten. Dajaxice
    default_error_callback is now configurable using Dajaxice.setup.
  - Custom error messages per dajaxice call.
  - Dajaxice now propagate docstrings to javascript dajaxice functions.
  - Added DAJAXICE_JS_DOCSTRINGS to configure docstrings propagation
    behaviour, default=False.
  - Updated installation guide for compatibility with django 1.3
  - dajaxice now uses the logger 'dajaxice' and not 'dajaxice.DajaxiceRequest'
  - Documentation Updated.
- Regenerate spec file with py2pack.
* Tue Feb 22 2011 alexandre@exatati.com.br
- Update to 0.1.8.1:
  - Fixed bug #25 related to CSRF verification on Django 1.2.5.
* Wed Feb  9 2011 alexandre@exatati.com.br
- Update to 0.1.8:
  - Add build dir to ignores
  - Remove MANIFEST file and auto-generate it through MANIFEST.in
  - Add MANIFEST to ignores
  - Include examples and docs dirs to source distribution
  - Add long_description to setup.py
  - Fixed Flaw in AJAX CSRF handling (X-CSRFToken Django 1.2.5)
* Wed Jan 12 2011 alexandre@exatati.com.br
- Update to 0.1.7.
* Tue Sep 21 2010 alexandre@exatati.com.br
- Update to 0.1.6;
- Bzip2 source file.
* Wed Jul  7 2010 alexandre@exatati.com.br
- Update to 0.1.5.
* Tue Apr  6 2010 alexandre@exatati.com.br
- Update to 0.1.4;
- Spec file cleaned with spec-cleaner.
* Mon Mar 29 2010 alexandre@exatati.com.br
- Update to 0.1.3.
* Tue Feb 23 2010 alexandre@exatati.com.br
- Update to 0.1.2.
* Tue Feb 23 2010 alexandre@exatati.com.br
- Update to 0.1.1.
* Wed Jan  6 2010 alexandre@exatati.com.br
- RPM renamed to python-django-dajaxice instead of
  python-dajaxice;
- Update to 0.1.0.
* Thu Dec 10 2009 alexandre@exatati.com.br
- Initial package (0.0.1) for openSUSE.
